Вопрос Как создать псевдоним для неразрешенных зависимостей apt?


Некоторое время назад я установил wormsarmageddon.deb который зависел от пакета с именем wine, Поскольку никакой дистрибутив или PPA я не мог найти, предоставил пакет с именем wine -- но только wine-stable, wine-staging, wine-devel и т. д. - я закончил установку wormsarmageddon с sudo dpkg --ignore-depends wine -i wormsarmageddon.deb и все сработало хорошо.

Теперь, каждый раз, когда я пытаюсь установить что-либо с помощью apt-get или aptitude из-за этого он терпит неудачу. См. Пример ниже:

fiatjaf@menger ~ [1]> sudo aptitude install openjdk-9-jdk
The following NEW packages will be installed:
  ca-certificates-java{a} dbus-x11{a} java-common{a} libatk-wrapper-java{a} 
  libatk-wrapper-java-jni{a} libbonobo2-0{a} libbonobo2-common{a} libgnome-2-0{a} 
  libgnome2-common{a} libgnomevfs2-0{a} libgnomevfs2-common{a} liborbit-2-0{a} 
  openjdk-9-jdk openjdk-9-jdk-headless{a} openjdk-9-jre{a} openjdk-9-jre-headless{a} 
0 packages upgraded, 16 newly installed, 0 to remove and 183 not upgraded.
Need to get 118 MB of archives. After unpacking 279 MB will be used.
The following packages have unmet dependencies:
 wormsarmageddon : Depends: wine (>= 1.2.1) which is a virtual package, provided by:
                            - winehq-staging (2.9.0~zesty), but it is not going to be installed
                            - winehq-staging (2.8.0~zesty), but it is not going to be installed
                            - winehq-staging (2.7.0~zesty), but it is not going to be installed
                            - winehq-staging (2.6.0~zesty), but it is not going to be installed
                            - winehq-staging (2.5.0~zesty), but it is not going to be installed
                            - winehq-staging (2.4.0-3~zesty), but it is not going to be installed
                            - winehq-staging (2.18.0~zesty), but it is not going to be installed
                            - winehq-staging (2.17.0~zesty), but it is not going to be installed
                            - winehq-staging (2.16.0~zesty), but it is not going to be installed
                            - winehq-staging (2.15.0~zesty), but it is not going to be installed
                            - winehq-staging (2.14.0~zesty), but it is not going to be installed
                            - winehq-staging (2.13.0~zesty), but it is not going to be installed
                            - winehq-staging (2.12.0~zesty), but it is not going to be installed
                            - winehq-staging (2.11.0~zesty), but it is not going to be installed
                            - winehq-staging (2.10.0~zesty), but it is not going to be installed
                            - winehq-stable (2.0.2~zesty), but 2.0.2~zesty is installed
                            - winehq-stable (2.0.1~zesty), but 2.0.2~zesty is installed
                            - winehq-stable (2.0.0~zesty), but 2.0.2~zesty is installed
                            - winehq-devel (2.9.0~zesty), but it is not going to be installed
                            - winehq-devel (2.8.0~zesty), but it is not going to be installed
                            - winehq-devel (2.7.0~zesty), but it is not going to be installed
                            - winehq-devel (2.6.0~zesty), but it is not going to be installed
                            - winehq-devel (2.5.0~zesty), but it is not going to be installed
                            - winehq-devel (2.4.0-3~zesty), but it is not going to be installed
                            - winehq-devel (2.18.0~zesty), but it is not going to be installed
                            - winehq-devel (2.17.0~zesty), but it is not going to be installed
                            - winehq-devel (2.16.0~zesty), but it is not going to be installed
                            - winehq-devel (2.15.0~zesty), but it is not going to be installed
                            - winehq-devel (2.14.0~zesty), but it is not going to be installed
                            - winehq-devel (2.13.0~zesty), but it is not going to be installed
                            - winehq-devel (2.12.0~zesty), but it is not going to be installed
                            - winehq-devel (2.11.0~zesty), but it is not going to be installed
                            - winehq-devel (2.10.0~zesty), but it is not going to be installed
                            - wine-stable (1.8.7-1ubuntu1), but 2.0.2~zesty is installed
                            - wine-development (2.0-3ubuntu1), but it is not going to be installed

The following actions will resolve these dependencies:

     Remove the following packages:              
1)     wormsarmageddon [3.7.2.1-0 (now, testing)]



Accept this solution? [Y/n/q/?] 

Что ж меня беспокоит, что wine признан «виртуальным пакетом» для всех других «вин», некоторые из них действительно установлены.

Итак, как мне решить эту ситуацию?


ОБНОВИТЬ:

Итак, следуя предложениям от комментариев, я попытался переустановить вино. apt жаловался на многие вещи, но действительно кажется, что вино не было должным образом установлено (обратите внимание, что теперь выход «устанавливается», а не «установлен» раньше - я не знаю почему).

fiatjaf@menger ~> sudo apt-get install --reinstall wine-stable
[sudo] password for fiatjaf: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 openjdk-9-jre-headless : Depends: ca-certificates-java but it is not going to be installed
                          Depends: java-common (>= 0.28) but it is not going to be installed
 wine-stable : Depends: wine-stable-amd64 (= 2.0.3~zesty) but 2.0.2~zesty is to be installed
               Depends: wine-stable-i386 (= 2.0.3~zesty)
 winehq-stable : Depends: wine-stable (= 2.0.2~zesty)
 wormsarmageddon : Depends: wine (>= 1.2.1)
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).

Бег apt --fix-broken install все еще удалены wormsarmaggedon, но потом мне удалось запустить apt-get install --reinstall wine-stable, что в итоге ничего не зафиксировало:

fiatjaf@menger ~ [130]> sudo apt-get install wormsarmageddon
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 wormsarmageddon : Depends: wine (>= 1.2.1)
E: Unable to correct problems, you have held broken packages.
fiatjaf@menger ~ [100]> sudo aptitude install wormsarmageddon
The following NEW packages will be installed:
  wormsarmageddon{b} 
0 packages upgraded, 1 newly installed, 0 to remove and 203 not upgraded.
Need to get 111 MB of archives. After unpacking 164 MB will be used.
The following packages have unmet dependencies:
 wormsarmageddon : Depends: wine (>= 1.2.1) which is a virtual package, provided by:
                            - winehq-staging (2.9.0~zesty), but it is not going to be installed
                            - winehq-staging (2.8.0~zesty), but it is not going to be installed
                            - winehq-staging (2.7.0~zesty), but it is not going to be installed
                            - winehq-staging (2.6.0~zesty), but it is not going to be installed
                            - winehq-staging (2.5.0~zesty), but it is not going to be installed
                            - winehq-staging (2.4.0-3~zesty), but it is not going to be installed
                            - winehq-staging (2.19.0~zesty), but it is not going to be installed
                            - winehq-staging (2.18.0~zesty), but it is not going to be installed
                            - winehq-staging (2.17.0~zesty), but it is not going to be installed
                            - winehq-staging (2.16.0~zesty), but it is not going to be installed
                            - winehq-staging (2.15.0~zesty), but it is not going to be installed
                            - winehq-staging (2.14.0~zesty), but it is not going to be installed
                            - winehq-staging (2.13.0~zesty), but it is not going to be installed
                            - winehq-staging (2.12.0~zesty), but it is not going to be installed
                            - winehq-staging (2.11.0~zesty), but it is not going to be installed
                            - winehq-staging (2.10.0~zesty), but it is not going to be installed
                            - winehq-stable (2.0.3~zesty), but 2.0.3~zesty is installed
                            - winehq-stable (2.0.2~zesty), but 2.0.3~zesty is installed
                            - winehq-stable (2.0.1~zesty), but 2.0.3~zesty is installed
                            - winehq-stable (2.0.0~zesty), but 2.0.3~zesty is installed
                            - winehq-devel (2.9.0~zesty), but it is not going to be installed
                            - winehq-devel (2.8.0~zesty), but it is not going to be installed
                            - winehq-devel (2.7.0~zesty), but it is not going to be installed
                            - winehq-devel (2.6.0~zesty), but it is not going to be installed
                            - winehq-devel (2.5.0~zesty), but it is not going to be installed
                            - winehq-devel (2.4.0-3~zesty), but it is not going to be installed
                            - winehq-devel (2.19.0~zesty), but it is not going to be installed
                            - winehq-devel (2.18.0~zesty), but it is not going to be installed
                            - winehq-devel (2.17.0~zesty), but it is not going to be installed
                            - winehq-devel (2.16.0~zesty), but it is not going to be installed
                            - winehq-devel (2.15.0~zesty), but it is not going to be installed
                            - winehq-devel (2.14.0~zesty), but it is not going to be installed
                            - winehq-devel (2.13.0~zesty), but it is not going to be installed
                            - winehq-devel (2.12.0~zesty), but it is not going to be installed
                            - winehq-devel (2.11.0~zesty), but it is not going to be installed
                            - winehq-devel (2.10.0~zesty), but it is not going to be installed
                            - wine-stable (1.8.7-1ubuntu1), but 2.0.3~zesty is installed
                            - wine-development (2.0-3ubuntu1), but it is not going to be installed

The following actions will resolve these dependencies:

     Keep the following packages at their current version:
1)     wormsarmageddon [Not Installed]                    



Accept this solution? [Y/n/q/?]
fiatjaf@menger ~ [130]> apt-cache show winehq-stable
Package: winehq-stable
Source: wine-stable
Version: 2.0.3~zesty
Architecture: amd64
Maintainer: WineHQ Builds <builds@wine-staging.com>
Installed-Size: 72
Depends: wine-stable (= 2.0.3~zesty)
Conflicts: wine, wine-amd64, wine-i386
Replaces: wine, wine-amd64, wine-i386, wine1.4, wine1.4-amd64, wine1.4-i386, wine1.5, wine1.5-amd64, wine1.5-i386, wine1.6, wine1.6-amd64, wine1.6-i386, wine1.7, wine1.7-amd64, wine1.7-i386, wine32, wine64
Provides: wine, wine-amd64, wine-i386, wine1.4, wine1.4-amd64, wine1.4-i386, wine1.5, wine1.5-amd64, wine1.5-i386, wine1.6, wine1.6-amd64, wine1.6-i386, wine1.7, wine1.7-amd64, wine1.7-i386, wine32, wine64
Section: otherosfs
Priority: optional
Description: WINE Is Not An Emulator - runs MS Windows programs
 Wine is a program which allows running Microsoft Windows programs
 (including DOS, Windows 3.x and Win32 executables) on Unix.
 .
 This compatibility package allows to use wine-stable system-wide as
 the default Wine version.
Description-md5: 3c434a64434281e632d12fce500efde1
Original-Maintainer: Scott Ritchie <scottritchie@ubuntu.com>
SHA256: 0ca3ecc91b6926ef78f1a6dbe0d96386e994a8b82996da9a0149f6e4edf2dccf
SHA1: dc3156459a2067aaff73aed2e2fc17654a9fbb05
MD5sum: 3a0354e587fb2909a3a79f4f2621a6b8
Size: 3130
Filename: pool/main/winehq-stable_2.0.3~zesty_amd64.deb

Package: winehq-stable
Source: wine-stable
Version: 2.0.2~zesty
Architecture: amd64
Maintainer: WineHQ Builds <builds@wine-staging.com>
Installed-Size: 72
Depends: wine-stable (= 2.0.2~zesty)
Conflicts: wine, wine-amd64, wine-i386
Replaces: wine, wine-amd64, wine-i386, wine1.4, wine1.4-amd64, wine1.4-i386, wine1.5, wine1.5-amd64, wine1.5-i386, wine1.6, wine1.6-amd64, wine1.6-i386, wine1.7, wine1.7-amd64, wine1.7-i386, wine32, wine64
Provides: wine, wine-amd64, wine-i386, wine1.4, wine1.4-amd64, wine1.4-i386, wine1.5, wine1.5-amd64, wine1.5-i386, wine1.6, wine1.6-amd64, wine1.6-i386, wine1.7, wine1.7-amd64, wine1.7-i386, wine32, wine64
Section: otherosfs
Priority: optional
Description: WINE Is Not An Emulator - runs MS Windows programs
 Wine is a program which allows running Microsoft Windows programs
 (including DOS, Windows 3.x and Win32 executables) on Unix.
 .
 This compatibility package allows to use wine-stable system-wide as
 the default Wine version.
Description-md5: 3c434a64434281e632d12fce500efde1
Original-Maintainer: Scott Ritchie <scottritchie@ubuntu.com>
SHA256: 743af1b4a7c44653b0956d9e591dece336a56dee7155c1226165a324ea3b4fd6
SHA1: 63c0fb5da967f3243313cb85274f8c8b90e7662a
MD5sum: 0e97b1df770e490cc491c9b4ffc12232
Size: 3134
Filename: pool/main/winehq-stable_2.0.2~zesty_amd64.deb

Package: winehq-stable
Source: wine-stable
Version: 2.0.1~zesty
Architecture: amd64
Maintainer: WineHQ Builds <builds@wine-staging.com>
Installed-Size: 72
Depends: wine-stable (= 2.0.1~zesty)
Conflicts: wine, wine-amd64, wine-i386
Replaces: wine, wine-amd64, wine-i386, wine1.4, wine1.4-amd64, wine1.4-i386, wine1.5, wine1.5-amd64, wine1.5-i386, wine1.6, wine1.6-amd64, wine1.6-i386, wine1.7, wine1.7-amd64, wine1.7-i386, wine32, wine64
Provides: wine, wine-amd64, wine-i386, wine1.4, wine1.4-amd64, wine1.4-i386, wine1.5, wine1.5-amd64, wine1.5-i386, wine1.6, wine1.6-amd64, wine1.6-i386, wine1.7, wine1.7-amd64, wine1.7-i386, wine32, wine64
Section: otherosfs
Priority: optional
Description: WINE Is Not An Emulator - runs MS Windows programs
 Wine is a program which allows running Microsoft Windows programs
 (including DOS, Windows 3.x and Win32 executables) on Unix.
 .
 This compatibility package allows to use wine-stable system-wide as
 the default Wine version.
Description-md5: 3c434a64434281e632d12fce500efde1
Original-Maintainer: Scott Ritchie <scottritchie@ubuntu.com>
SHA256: 9abb20a44473549e5ab098653baec4d8fabbc6b6237d8db9bf4b0616112f8db5
SHA1: 3465d8f11f5aefe7f6c02d391a580f189d6a5856
MD5sum: 0e1a22bb84112fa435c5f5dead3d7738
Size: 3134
Filename: pool/main/winehq-stable_2.0.1~zesty_amd64.deb

Package: winehq-stable
Source: wine-stable
Version: 2.0.0~zesty
Architecture: amd64
Maintainer: Michael Müller <michael@fds-team.de>
Installed-Size: 72
Depends: wine-stable (= 2.0.0~zesty)
Conflicts: wine, wine-amd64, wine-i386
Replaces: wine, wine-amd64, wine-i386, wine1.4, wine1.4-amd64, wine1.4-i386, wine1.5, wine1.5-amd64, wine1.5-i386, wine1.6, wine1.6-amd64, wine1.6-i386, wine1.7, wine1.7-amd64, wine1.7-i386, wine32, wine64
Provides: wine, wine-amd64, wine-i386, wine1.4, wine1.4-amd64, wine1.4-i386, wine1.5, wine1.5-amd64, wine1.5-i386, wine1.6, wine1.6-amd64, wine1.6-i386, wine1.7, wine1.7-amd64, wine1.7-i386, wine32, wine64
Section: otherosfs
Priority: optional
Description: WINE Is Not An Emulator - runs MS Windows programs
 Wine is a program which allows running Microsoft Windows programs
 (including DOS, Windows 3.x and Win32 executables) on Unix.
 .
 This compatibility package allows to use wine-stable system-wide as
 the default Wine version.
Description-md5: 3c434a64434281e632d12fce500efde1
Original-Maintainer: Scott Ritchie <scottritchie@ubuntu.com>
SHA256: 7bfd03bb3edb938c94f540002fc5555487fb0ae754bf7badfb257d31b0baf327
SHA1: 54c1dd180af278139f01c02d1fd9fbb1ce49373a
MD5sum: 610ba09ee83f5a6727f1eb53d47f8d30
Size: 3132
Filename: pool/main/winehq-stable_2.0.0~zesty_amd64.deb

2
2017-10-19 21:11


происхождения


Итак ... как вы закончили установку wine? apt install wine-stable? - Bob
Да, @Bob. Вот как я это сделал. - fiatjaf
Вы пытались переустановить Wine-pack? (sudo apt-get install --reinstall wine-stable) Или - обновили ли он его снова? Вы добавили какие-либо репозитории самостоятельно, иногда они могут взломать apt. - DocWeird
Можете ли вы использовать вино (и запустить wormsarmageddon)? - Shaido
"wine обеспечивается winehq-stable (2.0.2~zesty), but 2.0.2~zesty is installed«выглядит очень неправильно, как будто winehq-stable не была полностью установлена ​​... какой результат apt-cache show winehq-stable? - dirkt


ответы: